Subject: Frank Simon's Toll-Free Number
From: [email-masked]
Date: Mon, 9 Sep 1996 15:18:52 -0400

If anyone would like to order literature from evangelical activist Frank
Simon and get on his mailing list, he now has a toll-free number:
 1-800-775-6746.

The Letter (Kentucky's gay and lesbian newspaper) does not condone harassing
communications of any kind, including phone calls.  If you call Simon's
number, this newspaper strongly urges you to be polite, civil, and brief.